OpenSSL/1.1.1w: error:1408F10B:SSL routines:ssl3_get_record:wrong version number

I would guess that about a month ago I started getting a popup page with this error (see pic) when I login. I refresh the page and I am admitted to the dashboard, but I don’t want to let this go any longer without resolving it.

Exception: API Error: [POST] /events 0 - OpenSSL/1.1.1w: error:1408F10B:SSL routines:ssl3_get_record:wrong version number at file /usr/share/vitalpbx/www/includes/rest_client.php on line 0

I just updated VitalPBX to v4.1.0-5 and the error remains.
Asterisk 18.22.0
Debian 11 (6.1.0-0.deb11.21-amd64)

Any advice is welcome.
Thanks
B

Hello,

Have you configured a self-signed certificate or Let’s Encrypt?

Regards,

No, but I found the problem while poking around in the settings.

Admin → System Settings → HTTP Server
“HTTPS Enable” was OFF.
I turned that on and the errors are gone.

It is configured to use the Pre-built Certificate.

Thanks for the feedback.

1 Like